Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QColor

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QColor class reference

### Public Functions

- void getRgba ( int * r, int * g, int * b, int * a ) const `(obsolete)`
- void setRgba ( int r, int g, int b, int a ) `(obsolete)`

## Member Function Documentation

### void QColor::getRgba ( int * r, int * g, int * b, int * a ) const

Populates r, g, and b with the color's RGB values. a is populated with the color's alpha channel (opacity) value. All the values are in the range 0 to 255.

See also setRgba(), setRgb(), and setHsv().

### void QColor::setRgba ( int r, int g, int b, int a )

Sets the RGBA value to r, g, b, a. The arguments, r, g, b, and a must all be in the range 0 to 255. If any of them are outside the legal range, the color is not changed.

See also getRgba(), setRgb(), and setHsv().